Skip to main content
`Ctrl`+`K`

# TaoTermShellGetContext

Get the context for a `TAOTERMSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellGetContext(TaoTerm term, PetscCtxRt ctx)

Not collective

## Input Parameter

- term - a `TaoTerm` of type `TAOTERMSHELL`

## Output Parameter

- ctx - a context

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellSetContext()`, `TaoTermShellSetContextDestroy()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c

## Implementations

TaoTermShellGetContext_Shell() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages